
package Paws::WorkDocs::DescribeNotificationSubscriptions;
  use Moose;
  has Limit => (is => 'ro', isa => 'Int', traits => ['ParamInQuery'], query_name => 'limit' );
  has Marker => (is => 'ro', isa => 'Str', traits => ['ParamInQuery'], query_name => 'marker' );
  has OrganizationId => (is => 'ro', isa => 'Str', traits => ['ParamInURI'], uri_name => 'OrganizationId' , required => 1);

  use MooseX::ClassAttribute;

  class_has _api_call => (isa => 'Str', is => 'ro', default => 'DescribeNotificationSubscriptions');
  class_has _api_uri  => (isa => 'Str', is => 'ro', default => '/api/v1/organizations/{OrganizationId}/subscriptions');
  class_has _api_method  => (isa => 'Str', is => 'ro', default => 'GET');
  class_has _returns => (isa => 'Str', is => 'ro', default => 'Paws::WorkDocs::DescribeNotificationSubscriptionsResponse');
  class_has _result_key => (isa => 'Str', is => 'ro');
1;

### main pod documentation begin ###

=head1 NAME

Paws::WorkDocs::DescribeNotificationSubscriptions - Arguments for method DescribeNotificationSubscriptions on Paws::WorkDocs

=head1 DESCRIPTION

This class represents the parameters used for calling the method DescribeNotificationSubscriptions on the 
Amazon WorkDocs service. Use the attributes of this class
as arguments to method DescribeNotificationSubscriptions.

You shouldn't make instances of this class. Each attribute should be used as a named argument in the call to DescribeNotificationSubscriptions.

As an example:

  $service_obj->DescribeNotificationSubscriptions(Att1 => $value1, Att2 => $value2, ...);

Values for attributes that are native types (Int, String, Float, etc) can passed as-is (scalar values). Values for complex Types (objects) can be passed as a HashRef. The keys and values of the hashref will be used to instance the underlying object.

=head1 ATTRIBUTES


=head2 Limit => Int

The maximum number of items to return with this call.



=head2 Marker => Str

The marker for the next set of results. (You received this marker from
a previous call.)



=head2 B<REQUIRED> OrganizationId => Str

The ID of the organization.




=head1 SEE ALSO

This class forms part of L<Paws>, documenting arguments for method DescribeNotificationSubscriptions in L<Paws::WorkDocs>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: https://github.com/pplu/aws-sdk-perl

Please report bugs to: https://github.com/pplu/aws-sdk-perl/issues

=cut

